#include <stdio.h>
#include <stdlib.h>

long A[200000];
double P[200000];
double suma[200000];
int main()
{
    long N,z=0,i=0,j;
    scanf("%ld",&N);
    while(i<N)
    {
        scanf("%ld",&A[i]);
        scanf("%lf",&P[i]);
        i++;
    }
    i=0;
    while(i<N)
    {
        j=0;
        while(j<N)
        {
            if(P[j]>=P[i])
            {
                (suma[i])+=A[j];
            }
            j++;
        }
        suma[i]=suma[i]*(P[i]/100);
        i++;
    }
    i=0;
    while(i<N)
    {
        if(suma[i]>suma[z])
        {
            z=i;
        }
        i++;
    }
    printf("%.3lf",suma[z]);
}